Subject: RE: [Ltru] IANA ISO 3166 related Registries

From: "Addison Phillips" <[email-masked]>
Date: Sun, 3 Jul 2005 10:29:23 -0700

What, pray tell, has this got to do with language tags?

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of r&d afrac
> Sent: den 3 juli 2005 08:16
> To: Randy Presuhn; [email-masked]
> Subject: Re: [Ltru] IANA ISO 3166 related Registries
> 
> At 06:17 03/07/2005, Randy Presuhn wrote:
> > > The position adopted by the USA concerning the control of the root
> file
> >
> >What position in what forum are you talking about?
> 
> Sorry, due to its importance I expected this information was known to
> everyone. I sent the URL in another mail.
> 
> >Is this in conjunction with your http://intlnet.org/eadmin.htm project?
> >Who would be the liaison contact for the IETF?
> 
> as previously explained ICANN published the ICP-3 document. IETF
> disregarded the call. Intlnet carried this experimentation along with the
> ICANN guidlines (named dot-root). This permitted to identify both the
> needs
> (as the USA do today) and ways to address them. We incorporated AFRAC to
> explore the solutions we identified. The architectural stability of the
> world digital ecosystem and the end to end principle call for (at least)
> the national distribution of the reference sources (IANA): Common
> Refeference Centers. The NICSO has the mission to advise Govs, ccTLDs and
> National Internet Communities over the transition.
> 
> > > consensus is that every IANA Registry using ISO 3166 codes will be
> from now
> >
> >The consensus of whom?
> 
> The people I polled who are involved in the study/project of a CRC
> projects
> interested in the AFRAC work.
> 
> > > on deemed representing an US position, unless it is transferred to the
> > > ICANN IANA zone, on such case the authority should be the GAC. The
> >
> >The logic of how the use of an ISO international standard could be
> construed
> >as representing a US position completely eludes me.
> 
> Read the US Statement of Principles.
> 
> > > consensus is that generally the US point of view on local culture does
> bear
> >
> >I'm curious to learn what this "US point of view on local culture" is
> >and where (and by whom) this weighty pronouncement was made.
> 
> the many who would like to know it!
> 
> 
> > > enough weight to be worth the continuation of the effort engaged since
> > > December. Also it is that priority will be given to the root files and
> that
> > > any organisation proposing a distributed IANA copy will support the
> langtag
> > > Registry decided by its own Culture Ministry.
> >
> >I don't think the US even has a Culture Ministry.
> 
> This is precisely the problem :-)
> 
> >If there is one, it goes by some other name and keeps a *very* low
> profile.
> 
> You may know that in many countries of the world, this Ministry is a key
> one. What is really a problem is that ietf-languages may consider deciding
> anything about languages and countries without involving these Ministries.
> And that this Draft does not consider them.
> 
> > > It is also agreed that the US position should be read as a support of
> the
> >
> >Agreed by whom?
> 
> By some who have the capacity to do it and that the US position
> acknowledges as in charge, as far as it has been quickly discussed
> evaluated. There is no reason to think ohers would see it differently:
> they
> share the same interests as the US Governments, within the frame of their
> own culture and policies. Obviously now the international community is to
> organise its intergovernance.
> 
> With the hope that this WG will cease to be one of its problem.  The USA
> considered their critical infrastructure but also the American way of life
> (http://whitehouse.gov/pcipb) . Other countries consider also the same
> their language and culture. This WG will obviously not be an international
> problem, but certainly its Registry will be a reason for national
> alternative-IANA, based on the international community solutions (ISO).
> 
> jfc
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: r&d afrac <[email-masked]>
Date: Mon, 04 Jul 2005 03:13:19 +0200

>What, pray tell, has this got to do with language tags?

This is clear enough. The US Statement changes the nature of the IANA from 
a global reference center into a national reference center, like AFRAC will 
be one and most probably each country will soon experiment one. This is not 
because an RFC says this or that, or because ietf-languages will adopt a 
langtag or not, that it will translate into these Registries. This will be 
because the reference centers intergovernance will adhere to your 
proposition or to a registration.

1. obviously there is work ahead to get this reference centers operational. 
My fear was that you would create additional confusion before the ISO 
Varsaw meeting and the USA would announce their new strategy. And this way 
you would delay our effort.
2. now if you want langtags to be supported by the Internet Registry 
System, you will have to convince us, not only the IESG.

To convince us (whatever the way this intergovernance will formed in coming 
months) you will have IMHO to demonstrate:

1. your project is not contentious. This means that its Registry is 
controled in a way acceptable to all. The rule which will prevail is 
subsidiarity: the one who is concerned is the one who decides: experts 
advise, locals decide. A good transition rule is that Registries using ISO 
3166 or/and ISO 639 codes (a) becomes part of the name and numbers ICANN 
reserved area (RFC 2860) and be under GAC final control (b) to impose them 
to harmonize with ISO 11179 and with the results on distributed CRCs 
experimentation.

2. your project is to be a network project. This means that it should be 
consistent in every relational layers and core services - including DNS, 
OPES, etc. I explained what it means as far as AFRAC is concerned.
1. the langtag identifies a relational channel protocol. This means that it 
defines a protocol permitting person to person interintelligibility.
2. this means that a dysimetrical receiving (concepts)/sending(values) ends 
negotiation using language, mode and cultural environment (what documents 
the protocol), referent (what refers to the channel) and context (what 
refers to the relations) elements.
3. anyone can register any non conflicting form of langtag in any format. 
The need is for end to end/person to person relation 
establishment/authentication. Formats, like yours, can stabilise or even 
aquire a defacto leadership or monopoly if they are adequate to usage.

Is that clear?
jfc